Duplicate Vault Template
curl --request POST \
--url https://odyssey.asteroid.ai/agents/v2/vault/templates/{templateId}/duplicate \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
'import requests
url = "https://odyssey.asteroid.ai/agents/v2/vault/templates/{templateId}/duplicate"
payload = {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'})
};
fetch('https://odyssey.asteroid.ai/agents/v2/vault/templates/{templateId}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"fields": [
{
"key": "<string>",
"label": "<string>",
"required": true,
"type": "username",
"hint": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "login",
"name": "<string>",
"origin": "generated",
"steps": [
{
"fieldKeys": [
"<string>"
],
"key": "<string>",
"title": "<string>",
"instructions": "<string>"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": 400,
"message": "<string>"
}{
"code": 401,
"message": "<string>"
}{
"code": 403,
"message": "<string>"
}{
"code": 404,
"message": "<string>"
}{
"code": 500,
"message": "<string>"
}Vault
Duplicate Vault Template
POST
/
vault
/
templates
/
{templateId}
/
duplicate
Duplicate Vault Template
Authorizations
Path Parameters
Body
application/json
Response
The request has succeeded and a new resource has been created as a result.
A vault template: an ordered field blueprint. organizationId is omitted on master presets.
Show child attributes
Show child attributes
Kind of vault item. Templates and items need at least one field. Completeness is per-field required.
Available options:
login, api_key, card, custom Required string length:
1 - 200Whether a vault template was generated from the catalog or created by hand.
Available options:
generated, manual Maximum array length:
20Show child attributes
Show child attributes
Owning organization. Omitted on master presets.
Template this row was copied from. Provenance only.

